task vcf2maf {

	File multianno_TNscope_txt
	File multianno_TNseq_txt
	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		vcf2maf ${multianno_TNscope_txt} ${sample}.TNscope.MAF
		vcf2maf ${multianno_TNseq_txt} ${sample}.TNseq.MAF
		awk -F '\t' '{if(($1=="Tumor_Sample_Barcode")||($1~"^${sample}" && $180=="PASS")){print $0}}' ${sample}.TNscope.MAF > ${sample}.TNscope.PASS.MAF
		awk -F '\t' '{if(($1=="Tumor_Sample_Barcode")||($1~"^${sample}" && $180=="PASS")){print $0}}' ${sample}.TNseq.MAF > ${sample}.TNseq.PASS.MAF
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File tnscope_maf = "${sample}.TNscope.MAF"
		File tnseq_maf = "${sample}.TNseq.MAF"
		File tnscope_pass_maf = "${sample}.TNscope.PASS.MAF"
		File tnseq_pass_maf = "${sample}.TNseq.PASS.MAF"
	}
}